package net.mc_pandacraft.java.plugin.pandacraftutils.data_model;

import java.sql.SQLException;
import java.util.List;

public class MPGroupElement extends SQLElement {
	
	private String groupName;
	
	
	
	public MPGroupElement(String name) {
		super("pandacraft_mp_group");
		setGroupName(name);
	}
	
	protected MPGroupElement(int id, String name) {
		super("pandacraft_mp_group", id);
		setGroupName(name);
	}
	
	
	
	
	
	

	@Override
	protected String[] getValues() {
		return new String[] {
				groupName
		};
	}

	@Override
	protected String[] getFieldsName() {
		return new String[] {
				"groupName"
		};
	}

	
	
	public String getGroupName() { return groupName; }

	public void setGroupName(String name) {
		if (name == null)
			throw new NullPointerException();
		groupName = name;
	}
	
	
	
	public List<MPGroupUserElement> getUsers() throws SQLException {
		return ((MPGroupUserTable)ORM.getTable("mp_group_user"))
				.getAll("groupId = "+getId(), "id ASC", null, null);
	}
	
}
